[Overview][Types][Classes][Index] | Reference for unit 'pooledmm' (#fcl)

# TNonFreePooledMemManager.EnumerateItems

Enumerate all items in the list

## Declaration

Source position: pooledmm.pp line 88

`public procedure TNonFreePooledMemManager.EnumerateItems(`
`const Method: TEnumItemsMethod`
`);`

## Arguments

`Method` |  | Callback to call

## Description

EnumerateItems will enumerate over all items in the list, passing the items to Method. This can be used to execute certain operations on all items in the list. (for example, simply list them)

The latest version of this document can be found at lazarus-ccr.sourceforge.net .